Summary:   A Nagios plugin to check HP ServiceGuard cluster health
Name:      check_serviceguard
Version:   1.2.1
Release:   1%{?dist}
License:   GPL
Packager:  Trond Hasle Amundsen <t.h.amundsen@usit.uio.no>
Group:     Applications/System
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL:       http://folk.uio.no/trondham/software/check_serviceguard.html
Source0:   http://folk.uio.no/trondham/software/%{name}-%{version}.tar.gz

Requires: perl

%description
check_serviceguard is a plugin for Nagios that checks various aspects
of a HP ServiceGuard cluster. The plugin checks cluster status, node
and package status etc. The plugin tries to be smart and minimizes the
output. Only the first node (in the node list) that are up and running
will report any errors. The other nodes will report that everything is
ok.

%prep
%setup -q

%build
gzip %{name}.3pm
mkdir -p %{buildroot}/%{_libdir}/nagios/plugins/contrib
mkdir -p %{buildroot}/%{_mandir}/man3

%install
install -d -m 0755 %{buildroot}/%{_libdir}/nagios/plugins/contrib
install -m 0755 %{name} %{buildroot}/%{_libdir}/nagios/plugins/contrib
install -m 0755 %{name}.3pm.gz %{buildroot}/%{_mandir}/man3

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%{_libdir}/nagios/plugins/contrib/%{name}
%attr(0755, root, root) %{_mandir}/man3/%{name}.3pm.gz


%changelog
* Tue Apr  7 2009 Trond H. Amundsen <t.h.amundsen@usit.uio.no> - 1.2.1
- Release 1.2.1

* Tue Apr  7 2009 Trond H. Amundsen <t.h.amundsen@usit.uio.no> - 1.2.0
- Release 1.2.0
- take 64bit (other libdir) into consideration

* Mon Jan 26 2009 Trond H. Amundsen <t.h.amundsen@usit.uio.no> - 1.1.0
- Release 1.1.0

* Fri Jan 16 2009 Trond H. Amundsen <t.h.amundsen@usit.uio.no> - 1.0.0
- Initial release 1.0.0
